Bug 496558 - radeon graphics hang at reboot: FIFO timeout, Idle timeout
radeon graphics hang at reboot: FIFO timeout, Idle timeout
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 00:04 EDT by John Reiser
Modified: 2010-03-02 12:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old after power cycle after hang at reboot (114.62 KB, text/plain)
2009-04-20 00:04 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2009-04-20 00:04:56 EDT
Created attachment 340285 [details]
/var/log/Xorg.0.log.old after power cycle after hang at reboot

Description of problem: Reboot fails to finish because graphics and the console hang.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-4.fc11.ppc
kernel-2.6.29.1-100.fc11.ppc
xorg-x11-server-Xorg-1.6.1-6.fc11.ppc


How reproducible: always


Steps to Reproduce:
1. install rawhide of 2009-04-19 (Sunday) using ppc boot.iso and network
2. firstboot
3. login and reboot
  
Actual results: hang in middle of reboot; no response to console.  Power cycle is required to regain control.


Expected results: Usual reboot.


Additional info: lspci output:
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
0000:00:10.0 0300: 1002:5962 (rev 01)
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01) (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc RV280 [Radeon 9200]
	Flags: bus master, 66MHz, medium devsel, latency 255, IRQ 48
	Memory at 98000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 0400 [size=256]
	Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at f1000000 [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2
	Kernel driver in use: radeonfb

/var/log/messages records these 4 paris of 2 lines:
-----
Apr 19 15:34:33 g4minif11 kernel: radeonfb: FIFO Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: Idle Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: FIFO Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: Idle Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: FIFO Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: Idle Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: FIFO Timeout !
Apr 19 15:34:33 g4minif11 kernel: radeonfb: Idle Timeout !
-----

Also in Xorg.0.log.old, notice multiple lines "Failed to switch consoles (Input/output error)" [when I tried Ctrl+Alt+F2]  and four lines at end:
(WW) xf86CloseConsole: KDSETMODE failed: Input/output error
(WW) xf86CloseConsole: VT_GETMODE failed: Input/output error
(WW) xf86CloseConsole: VT_ACTIVATE failed: Input/output error
(WW) xf86CloseConsole: VT_WAITACTIVE failed: Input/output error
Comment 1 Bug Zapper 2009-06-09 10:11:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2009-11-05 13:27:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2010-02-26 07:19:17 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 4 John Reiser 2010-02-26 12:03:40 EST
The problem does not appear using Fedora 12:
  xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.ppc
  xorg-x11-server-Xorg-1.7.5-1.fc12.ppc
  kernel-2.6.31.12-174.2.22.fc12.ppc
No Fedora 11 system is available for testing.
Comment 5 Matěj Cepl 2010-03-02 12:31:49 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.